package com.bwie.user.service.impl;

import com.bwie.common.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.bwie.user.service.impl
 * @Project：exam-day10
 * @name：UserServiceImpl
 * @Date：2024/7/29 上午8:54
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired private UserMapper userMapper;

    @Override
    public List<User> select() {
        return userMapper.select();
    }

    @Override
    public Integer delete(Integer uid) {
        return userMapper.delete(uid);
    }
}
